summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-analyzer/zabbix/files/2.0/init.d/zabbix-proxy')
-rw-r--r--net-analyzer/zabbix/files/2.0/init.d/zabbix-proxy28
1 files changed, 28 insertions, 0 deletions
diff --git a/net-analyzer/zabbix/files/2.0/init.d/zabbix-proxy b/net-analyzer/zabbix/files/2.0/init.d/zabbix-proxy
new file mode 100644
index 000000000000..a16d391385a1
--- /dev/null
+++ b/net-analyzer/zabbix/files/2.0/init.d/zabbix-proxy
@@ -0,0 +1,28 @@
+#!/sbin/runscript
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+pid_file="/var/run/zabbix/zabbix_proxy.pid"
+
+depend() {
+ need net
+ provide zabbix-proxy
+}
+
+start_pre() {
+ checkpath -d -m 0775 -o zabbix:zabbix /var/run/zabbix
+}
+
+start() {
+ ebegin "Starting Zabbix proxy"
+ start-stop-daemon --start --pidfile ${pid_file} \
+ --user zabbix --group zabbix --exec /usr/sbin/zabbix_proxy -- -c /etc/zabbix/zabbix_proxy.conf
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Zabbix proxy"
+ start-stop-daemon --stop --pidfile ${pid_file}
+ eend $?
+}